Skip to Content
✨ Ail 智能布局(HTML型PPT)已经可以上线开放平台 立即对接🎁 HTML 转 PPT文件开放能力现已上线 立即体验
API 参考模板接口分页查询模板

分页查询模板

接口信息

接口作用

分页查询系统模板或用户模板列表。

请求示例

curl --request POST \ --url https://open.docmee.cn/api/ppt/templates \ --header "Content-Type: application/json" \ --header "token: YOUR_TEMP_TOKEN" \ --data '{ "page": 1, "size": 10, "filters": { "type": 1, "category": null, "style": null, "themeColor": null } }'

请求参数

{ "page": 1, "size": 10, "filters": { "type": 1, "category": null, "style": null, "themeColor": null } }

请求字段说明

参数名类型必填示例说明
pagenumber1分页查询参数。
sizenumber10分页查询参数。
filtersobject{"type":1,"category":null,"style":null,"themeColor":null}模板筛选条件对象。
filters.typenumber1模板筛选子字段。
filters.categorystringnull模板筛选子字段。
filters.stylestringnull模板筛选子字段。
filters.themeColorstringnull模板筛选子字段。

关键字段

  • filters.type:必传,1 为系统模板,4 为用户模板
  • coverUrl:模板封面地址,访问时需要拼接 ?token=xxx

使用说明

  • 支持在 URL 上通过 lang 指定国际化语言
  • 可与 template/options 配合使用

多语言示例

const response = await fetch('https://open.docmee.cn/api/ppt/templates', { method: 'POST', headers: { 'Content-Type': 'application/json', token: 'YOUR_TEMP_TOKEN' }, body: JSON.stringify({ page: 1, size: 10, filters: { type: 1, category: null, style: null, themeColor: null } }) }) console.log(await response.json())

响应示例

{ "code": 0, "message": "操作成功", "data": { "id": "VALUE" } }

响应字段说明

字段名类型示例说明
codenumber0通用响应状态码,0 表示成功。
messagestring操作成功服务端返回的结果说明。
dataobject{...}业务数据对象。
Last updated on

© 2023-2026 文多多 AiPPT